Bug 974439 - "rhc authorization delete all" command doesn't work
"rhc authorization delete all" command doesn't work
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks: 996522
  Show dependency treegraph
 
Reported: 2013-06-14 04:07 EDT by Lei Zhang
Modified: 2015-05-14 22:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 996522 (view as bug list)
Environment:
Last Closed: 2013-06-24 10:55:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2013-06-14 04:07:27 EDT
Description of problem:
"rhc authorization delete -h" has "all" action, but "rhc authorization delete all" doesn't work. "rhc authorization delete all -h" displays "Usage: rhc authorization-delete-all", and "rhc authorization-delete-all" can work well.

Version-Release number of selected component (if applicable):
devenv_3360
rhc-1.10.1 build from devenv_3358

How reproducible:
always

Steps to Reproduce:
1.rhc authorization delete all
2.
3.

Actual results:
"rhc authorization delete all" is an alias of "rhc authorization-delete-all" should work well. 

Expected results:
"rhc authorization delete all" command doesn't work 

Additional info:
Comment 1 Jessica Forrester 2013-06-14 17:26:03 EDT
"rhc authorization delete all" is not a valid command, you have to do "rhc authorization delete-all".  The command "rhc authorization delete -h" has been fixed to not report the "all" action.

Fix in https://github.com/openshift/rhc/pull/402
Comment 2 openshift-github-bot 2013-06-17 12:23:16 EDT
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/e578d35e8bbc9243519c8ea2d24a94f5edce8ce9
Bug 974439 - add testcase
Comment 3 openshift-github-bot 2013-06-17 15:32:55 EDT
Commits pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/0929bd00acab5c1ab32d6f4e79a67b5b4ed29a09
Bug 974439 - fix rhc help issues

Add new spec test for authorizations list command

Add rhc alias_action from aliases to alias list

https://github.com/openshift/rhc/commit/d55ed81cbc657483748c09658da5fec0ba400e94
Bug 974439 - review feedback
Comment 4 Lei Zhang 2013-06-18 03:09:14 EDT
Test on deven_3375 and rch-1.10.2, "rhc authorization delete -h" has been changed, so verify this bug, log as following:

[rayzhang@rayzhang Work]$ rhc authorization delete -h
Usage: rhc authorization-delete <token_or_id> [...<token_or_id>]

Delete one or more of the authorization tokens associated with your account. After deletion, any clients using the token will no longer have access to
OpenShift and will need to reauthenticate.


Options
  --auth-token TOKEN        The token you wish to delete

Global Options
  -l, --rhlogin LOGIN       OpenShift login
  -p, --password PASSWORD   OpenShift password
  --token TOKEN             An authorization token for accessing your account.
  --server NAME             An OpenShift server hostname (default: openshift.redhat.com)
  --timeout SECONDS         The timeout for operations

  See 'rhc help options' for a full list of global options.

[rayzhang@rayzhang Work]$ rhc authorization list
RHC/1.10.2 (from rayzhang on x86_64-linux)
------------------------------------------
  Token:      d994367d9fc88472c82e5e14502c6499c46929d004a564fb8b3b92cb703e6ac4
  Scopes:     session
  Created:    10:40 AM
  Expires In: about 22 hours

[rayzhang@rayzhang Work]$ rhc authorization delete --auth-token d994367d9fc88472c82e5e14502c6499c46929d004a564fb8b3b92cb703e6ac4
Deleting authorization ... done

[rayzhang@rayzhang Work]$ rhc authorization list
Your authorization token has expired. Please sign in now to continue.
Password: **********


RHC/1.10.2 (from rayzhang on x86_64-linux)
------------------------------------------
  Token:      0b606adea1a0812f04dade270f0f738c3b462357de4fdc7b699f04becf858a41
  Scopes:     session
  Created:    12:47 PM
  Expires In: about 24 hours
Comment 5 Wei Sun 2013-06-18 03:25:47 EDT
According to #Comment 4,verify this bug.

Note You need to log in before you can comment on or make changes to this bug.